<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- This xslt removes all MajorVersion elements from the input XML that do not 
       match with the specified gs-major-version parameter.
       The output XML is therefore mostly identical. -->

  <xsl:param name="gs-major-version"/>

  <xsl:output method="xml"/>

  <!-- By default, apply-templates copies just the text nodes, not outer elements. 
       Need to explicitly copy outer elements across -->
  <xsl:template match="*">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>  
  
  <!-- All MajorVersion elements that match the specified gs-major-version parameter need
       to be copied across. The apply-templates call will match on the template definition
       for * above and copy the subelements of matching MajorVersion elements across. -->
  <xsl:template match="MajorVersion"> 
    <xsl:if test="$gs-major-version=@number">
      <xsl:apply-templates/>      
    </xsl:if>
  </xsl:template>    

</xsl:stylesheet>
